org.omg.PortableInterceptor.ORBInitInfoPackage

## Class ObjectIdHelper

- java.lang.Object
- - org.omg.PortableInterceptor.ORBInitInfoPackage.ObjectIdHelper

    public abstract class ObjectIdHelper
    extends Object

Object id, represented as a String

### Constructor Summary

Constructors
Constructor and Description
`ObjectIdHelper()`

### Method Summary

Methods
`static String` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, String that)`
`static String` `read(InputStream istream)`
`static TypeCode` `type()`
`static void` `write(OutputStream ostream, String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectIdHelper

    public ObjectIdHelper()

### Method Detail

#### insert

    public static void insert(Any a,
              String that)

#### extract

    public static String extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static String read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
             String value)

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.